Apply Vendor
curl --request POST \
--url https://solarmoney.up.railway.app/api/vendors/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "<string>",
"contact_name": "<string>",
"email": "<string>",
"phone": "<string>",
"counties": [
"<string>"
],
"company_tax_id": "<string>",
"license_note": "<string>",
"logo_url": "<string>"
}
'import requests
url = "https://solarmoney.up.railway.app/api/vendors/apply"
payload = {
"company_name": "<string>",
"contact_name": "<string>",
"email": "<string>",
"phone": "<string>",
"counties": ["<string>"],
"company_tax_id": "<string>",
"license_note": "<string>",
"logo_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_name: '<string>',
contact_name: '<string>',
email: '<string>',
phone: '<string>',
counties: ['<string>'],
company_tax_id: '<string>',
license_note: '<string>',
logo_url: '<string>'
})
};
fetch('https://solarmoney.up.railway.app/api/vendors/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Vendors
Apply Vendor
POST
/
api
/
vendors
/
apply
Apply Vendor
curl --request POST \
--url https://solarmoney.up.railway.app/api/vendors/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "<string>",
"contact_name": "<string>",
"email": "<string>",
"phone": "<string>",
"counties": [
"<string>"
],
"company_tax_id": "<string>",
"license_note": "<string>",
"logo_url": "<string>"
}
'import requests
url = "https://solarmoney.up.railway.app/api/vendors/apply"
payload = {
"company_name": "<string>",
"contact_name": "<string>",
"email": "<string>",
"phone": "<string>",
"counties": ["<string>"],
"company_tax_id": "<string>",
"license_note": "<string>",
"logo_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_name: '<string>',
contact_name: '<string>',
email: '<string>',
phone: '<string>',
counties: ['<string>'],
company_tax_id: '<string>',
license_note: '<string>',
logo_url: '<string>'
})
};
fetch('https://solarmoney.up.railway.app/api/vendors/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
